<?php
include "includes/config.php";
include "includes/session.php";
include "includes/functions.php";
include_once('classes/cls_utils.php');
$currency_attributes = displayCurrencyType();
/* 
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
$planid     =    $_REQUEST['planid'];
if($planid=='') $planid =1;

if($planid!='')
    {
            $planInfo   =    Utils::getsellerPlansByPlanId($planid);

if($planInfo->status==SUCCESS)
        {
            $planObjVal     =   $planInfo->data;
        }

        //echopre($planObjVal);

        switch ($planObjVal->plan_Period) {
            case "M":
                $plan_period_text   =   PLAN_MONTHLY;
                break;
             case "Y":
                $plan_period_text   =   PLAN_YEARLY;
                break;

            case "F":
                $plan_period_text   =   PLAN_FREE;
                break;

            default:
                 $plan_period_text   =   PLAN_FREE;
                break;
        }
        
        //Reset PLan Id of Session array if plan changed 
        
        $_SESSION['SELLER_PLAN_OBJ']->sellerPlanID  = $planid;  
 
?>

                                          <div class="field_wrapper formfield_row">
                                            <label><?php echo PLAN_NAME; ?> : &nbsp;<?php echo Utils::html_entity($planObjVal->plan_Title);?></label>
                                           
                                         </div>

                                         <div class="field_wrapper formfield_row">
                                            <label><?php echo PLAN_AMOUNT; ?> : &nbsp;
                                           <?php echo  $currency_attributes[0] . "&nbsp;" .generalMethods::numberFormat($planObjVal->plan_SubscriptionCharge);?>  (<?php echo  $plan_period_text;?>)
                                            </label>
                                         </div>

                                         <div class="field_wrapper formfield_row">
                                            <label><?php echo PLAN_DETAILS; ?> :&nbsp;
                                                 <?php echo Utils::html_entity($planObjVal->plan_Description);?></label>
                                          
                                           
                                         </div>
    <?php  } exit; ?>
